{% extends 'base.html.twig' %}

{% block title %}Usuario index{% endblock %}

{% block body %}
    <h1>Usuario index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nombres</th>
                <th>Apodos</th>
                <th>Apellidos</th>
                <th>Foto</th>
                <th>Email</th>
                <th>Password</th>
                <th>FechaCreacion</th>
                <th>UltimoIngreso</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for usuario in usuarios %}
            <tr>
                <td>{{ usuario.id }}</td>
                <td>{{ usuario.nombres }}</td>
                <td>{{ usuario.apodos }}</td>
                <td>{{ usuario.apellidos }}</td>
                <td>{{ usuario.foto }}</td>
                <td>{{ usuario.email }}</td>
                <td>{{ usuario.password }}</td>
                <td>{{ usuario.fechaCreacion ? usuario.fechaCreacion|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ usuario.ultimoIngreso ? usuario.ultimoIngreso|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('usuario_show', {'id': usuario.id}) }}">show</a>
                    <a href="{{ path('usuario_edit', {'id': usuario.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('usuario_new') }}">Create new</a>
{% endblock %}